package dev.peerat.framework.auth;

import dev.peerat.framework.HttpReader;
import dev.peerat.framework.RequestType;
import dev.peerat.framework.User;

public interface Authenticator<U extends User>{

	String createAuthUser(U user) throws Exception;
	
	U getUser(RequestType type, HttpReader reader) throws Exception;
	
	U getUser(String data) throws Exception;
	
}
